.filter {
  display: flex;
  background-color: #003476;
  padding: 15px;
  margin: 0;
  border-radius: 5px;
  /* gap: 15px; */
  box-shadow: 0px 3px 6px #00000029;
}

.filter-item {
  padding: 10px;
  border-right: solid 5px #00aeef;
  border-radius: 0px 5px 5px 0px;
  gap: 5px;
  width: 100%;
  flex-direction: row;
}

.filter-item:last-child {
  border: none;
}

.filter-dropdown {
  display: none;
  list-style: none;
  position: absolute;
  background: white;
  z-index: 99;
  width: 17%;
  max-width: 260px;
  margin-top: 35px;
  font-weight: 500;
  box-shadow: 0px 3px 6px #00000029;
  border-radius: 0px 0px 4px 4px;
}

.filter-dropdown li {
  padding: 8px 12px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 0.5rem;
  color: #959496;
  transition: all ease 0.3s;
  padding: 1rem;
}

.filter-dropdown li:hover {
  color: #003476;
  background-color: #f5f5f5;
  width: 100%;
}

.filter-item:hover .filter-dropdown {
  display: block;
}

.filter-item:hover:not(:first-child) {
  cursor: pointer;
}

.fa-sort-down {
  color: #fff;
  font-size: 1rem;
}

.filter-item span {
  color: #fff;
  font-size: 1rem;
  font-weight: 600;
}

.filter-dropdown li.active {
  font-weight: bold;
  text-decoration: underline;
  cursor: default;
}

ol,
ul {
  padding-left: 0rem;
}

.deliberation-item {
  display: flex;
}

.show-open .deliberation-item[data-status="closed"] {
  display: none !important;
}

.show-closed .deliberation-item[data-status="open"] {
  display: none !important;
}

#deliberations {
  margin: 3rem 0rem;
}

.deliberations h2 {
  color: #003476;
  font-weight: 600;
  font-size: 1.7rem;
  margin-top: 3rem;
}

.deliberation-item {
  position: relative;
  background-color: #f5f5f5;
  box-shadow: 0px 3px 6px #00000029;
  border-radius: 5px;
  padding: 2rem 1.5rem 0;
  min-height: 230px;
  width: 100%;
  transition: all ease 0.7s;
}

.deliberation-item:hover .deliberation-title,
.deliberation-item:hover .post-line {
  opacity: 0;
  pointer-events: none;
}

.deliberation-details-more {
  background-color: #003476;
  padding: 8px 13px;
  text-align: center;
  color: #fff;
  text-decoration: none;
  border-radius: 60px;
  transition: all ease 0.3s;
  font-size: 0.9rem;
  width: 100%;
  max-width: max-content;
  align-self: flex-end;
}

.deliberation-details-more:hover {
  background-color: #00aeef !important;
}

.deliberation-title {
  color: #003476 !important;
  font-size: 1.1rem !important;
  font-weight: 600 !important;
  margin-bottom: 0rem !important;
  text-decoration: none;
}

.deliberation-post .deliberation-post-content p {
  color: #292929;
  font-size: 1rem;
  font-weight: 400;
  margin-bottom: 0rem;
}

.status-indicator{
  display: flex;
  align-items: center;
}

.status-indicator::before {
  content: "";
  display: inline-block;
  width: 15px;
  height: 15px;
  margin-top: -2px;
  border-radius: 50%;
  background-color: currentColor;
}

.status-open {
  color: #64c768 !important;
}

.status-closed {
  color: #ea2f03 !important;
}

.status-pending {
  color: #ffa034 !important;
}

.status-all {
  color: #003476 !important;
}

.post-line {
  border: 1px solid #003476;
  opacity: 1;
  margin: 0rem 0;
}

.clamp-2 {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.clamp-3 {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.deliberation-details-bnt {
  text-decoration: none;
  display: flex;
  align-items: flex-end;
  gap: 5px;
  color: #003476;
  font-size: 0.9rem;
  transition: all ease 0.3s;
  font-weight: 500;
}

.deliberation-details-bnt:hover {
  color: #00aeef;
}

.fa-square-rss,
.fa-comment-dots,
.fa-share {
  font-size: 1.8rem;
}

.deliberation-details {
  max-height: 0;
  opacity: 0;
  overflow: hidden;
  pointer-events: none;
  transition: max-height 0.7s ease, opacity 0.7s ease, padding 0.7s ease;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 100%;
  padding-top: 0.5rem;
}

.deliberation-details span {
  color: #00aeef;
  font-size: 0.9rem;
}

.deliberation-item:hover .deliberation-title,
.deliberation-item:hover .post-line {
  opacity: 1;
  pointer-events: auto;
  transition: opacity 0.6s ease;
}

.deliberation-item:hover .deliberation-details {
  max-height: 500px;
  /* large enough to fit content */
  opacity: 1;
  pointer-events: auto;
}

.deliberation-item.no-content:hover .deliberation-title,
.deliberation-item.no-content:hover .post-line {}

/* .deliberation-title,
.post-line,
.deliberation-details {
  transition: opacity 0.5s ease;
} */

.share-container {
  position: relative;
  display: inline-block;
}

.share-toggle i {
  font-size: 1.8rem;
}

.share-icons {
  position: absolute;
  bottom: -20px;
  left: 135px;
  margin-bottom: 8px;
  background: white;
  border: 1px solid #ddd;
  padding: 5px;
  border-radius: 6px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.12);
  display: flex;
  gap: 12px;
  z-index: 9999;
  min-width: 204px;
}

.share-icons a,
.share-icons button.copy-link {
  color: #003476;
  font-size: 1.2rem;
  text-decoration: none;
  background: none;
  border: none;
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
  border-radius: 4px;
  width: 2.2rem;
  transition: background-color 0.15s ease-in-out;
}

.share-icons a:hover,
.share-icons button.copy-link:hover {
  background-color: rgba(0, 174, 239, 0.1);
}

.share-icons button.copy-link {
  font-size: 1.1rem;
}

.filter-item {
  position: relative;
  display: flex;
  align-items: center;
  color: #fff !important;
  font-weight: 600 !important;
  font-size: 14px !important;
}

.filter-label {
  display: flex;
  color: #fff !important;
  transition: all ease 0.3s !important;
  font-weight: 700 !important;
  font-size: 14px !important;
}

.filter-item:hover .filter-label {
  color: #00aeef !important;
}

.filter-label .fa-sort-down {
  transition: all ease 0.3s !important;
}

.filter-item:hover .fa-sort-down {
  color: #00aeef !important;
}

.filter-label i {
  margin-left: 6px;
}

.filter-dropdown {
  position: absolute;
  top: 100%;
  left: 0;
  background: white;
  border: 1px solid #ccc;
  width: 100%;
  display: none;
  z-index: 10;
  list-style: none;
  margin: 0;
  padding: 0;
}

.filter-item span {
  color: #959496;
  font-size: 1rem;
  font-weight: 600;
}

.filter-dropdown li {
  padding: 8px 12px;
  border-bottom: 1px solid #eee;
  cursor: pointer;
}

.filter-dropdown li:hover {
  background-color: #f0f0f0;
}

.filter-item:hover .filter-dropdown {
  display: block;
  overflow-y: auto;
  max-height: 340px;
}

.date-range-selector {
  background-color: #003476;
  box-shadow: 0px 3px 6px #00000029;
  border-radius: 5px;
  width: fit-content;
  margin: 0 auto;
}

.date-range-selector label {
  font-size: 14px;
}

.datepicker-input {
  outline: none !important;
  border: none;
  border-bottom: 1px solid #FFFFFF;
  color: #ffffff;
  background: transparent;
  font-weight: bold;
}

.date-range-selector input[type="date"i]::-webkit-calendar-picker-indicator {
  filter: invert(1) !important;
}

#ajax-loader {
  display: none;
  justify-content: center;
  align-items: center;
  height: 200px;
}

.spinner {
  width: 48px;
  height: 48px;
  border: 4px solid #003476;
  border-top: 4px solid transparent;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

/* Pagination */
.posts-pagination {
  padding: 18px;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 1rem;
}

.posts-pagination i {
  font-size: 18px;
  color: #707070;
}

.posts-pagination .active-page,
.page-numbers.current {
  font-size: 18px;
  font-weight: 700;
  color: #054c7b !important;
  border-bottom: 2px solid #073476;
  padding: 0 10px;
}

.custom-page-number,
.page-numbers {
  font-size: 18px;
  font-weight: 500;
  padding: 0 10px;
  color: #707070;
  text-decoration: none;
}

.custom-page-number:hover,
.custom-page-number:focus,
.page-numbers:hover,
.page-numbers:focus {
  color: #707070;
}

.prev-page-btn,
.next-page-btn {
  transform: translate(0px, 5px);
  margin-right: 10px;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

#deliberation-results {
  min-height: 40px;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.deliberation-list p {
  color: #9b9b9b;
  font-weight: 500;
  margin-bottom: 0rem !important;
  font-size: 1.1rem;
}

.newdiv {
  padding: 0 0 1rem;
}

@media screen and (max-width: 1400px) {
  .deliberation-details {
    justify-content: space-between !important;
  }
}

@media screen and (max-width: 1399px) {
  .filter-item img {
    max-width: 24px;
  }

  .fa-sort-down {
    margin-bottom: 5px;
  }
}

@media screen and (max-width: 992px) {
  .filter {
    flex-direction: column;
    align-items: stretch;
    gap: 1rem;
  }

  .filter-dropdown {
    width: 100%;
  }

  .filter-item {
    border-right: none;
  }

  .filter-item:not(:first-child) {
    border-left: solid 5px #00aeef;
    border-radius: 5px 0px 0px 5px;
    margin-left: 10px;
  }
}

@media screen and (max-width: 992px) {
  .deliberation-details {
    opacity: 100%;
    pointer-events: all;
    position: static;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding: 1rem;
    max-height: 100%;
  }

  .newdiv {
    display: flex;
    flex-direction: column;
  }

  .infodiv div,
  .deliberation-content {
    flex-direction: column;
  }

  .infodiv .vl {
    display: none;
  }

  .deliberation-details-more {
    align-self: center;
    margin: 2rem 0;
  }

  .deliberation-details div.d-flex {
    justify-content: center !important;
  }

  .span-items {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  .infodiv {
    flex-direction: column;
  }
}

@media screen and (max-width: 767px) {
  .date-range-selector {
    width: auto;
  }
}

.infodiv {
  display: flex;
  flex-direction: column;
  gap: 4px;
  width: 100%;
  color: #626d79;
  font-weight: 500;
}

.infodiv-site {
  font-size: 0.8rem;
  color: #003476;
  font-weight: 600;
  letter-spacing: 0.03em;
  text-transform: uppercase;
}

.deliberation-content,
.deliberation-post {
  width: 100%;
}

.vl {
  border-left: 2px solid #626d79;
  height: 20px;
}